%define upstream_name Math-Base85
%define upstream_version 0.2

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13
License:	GPL or Artistic
Summary:	Math::Base85 - Perl extension for base 85 numbers, as referenced by RFC 1924
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp.perl.org/pub/CPAN/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch


%description
RFC 1924 describes a compact, fixed-size representation of IPv6
addresses which uses a base 85 number system.  This module handles
some of the uglier details of it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Math/Base85.pm
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-13.mga6
+ Revision: 1029533
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.200.0-12.mga6
+ Revision: 968405
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.200.0-11.mga6
+ Revision: 852231
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 0.2-10.mga5
+ Revision: 740019
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2-9.mga5
+ Revision: 685343
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2-8.mga4
+ Revision: 512858
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2-7.mga3
+ Revision: 369523
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.2-6.mga1
+ Revision: 30803
- mageia rebuild
- imported package perl-Math-Base85


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.2-6mdv2010.0
+ Revision: 430499
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.2-5mdv2009.0
+ Revision: 257772
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.2-4mdv2009.0
+ Revision: 245823
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.2-2mdv2008.1
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-2mdk
- Fix According to perl Policy
	- Source URL
- use mkrel

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2-1mdk
- initial Mandriva package

